<?php
function tag_cloud($data) {
$html=array();
$data=array_slice($data,0,9);
$data=array_reverse($data);
$color1="#000000";
$color2="#AC2024";
$r1=hexdec(substr($color1,1,2));
$g1=hexdec(substr($color1,3,2));
$b1=hexdec(substr($color1,5,2));
$r2=hexdec(substr($color2,1,2));
$g2=hexdec(substr($color2,3,2));
$b2=hexdec(substr($color2,5,2)); 
$steps=10;
$diff_r=$r2-$r1;
$diff_g=$g2-$g1;
$diff_b=$b2-$b1;
foreach( $data as $k=>$v)
	{
	$kwert=$k+1;
	$factor=$k / $steps;
	$r=round($r1 + $diff_r * $factor);
    	$g=round($g1 + $diff_g * $factor);
    	$b=round($b1 + $diff_b * $factor); 
	$size = round($kwert*22);
	//$size=$size/3;
	$weight=round($kwert*1000/4.5);
	if($size<=50){$size=50;}
	if($size>=250){$size=250;}
	$color="#" . sprintf("%02X",$r) . sprintf("%02X",$g) . sprintf("%02X",$b);
	$html[]="<a href=\"".AW_PARAM."thema/".trim($v)."\" style=\"font-size:{$size}%;font-weight:$weight;color:$color\">$v</a>";	
	 }
	shuffle($html);	
	return implode(" ",$html);
	}

function sonderzeichen($string,$revers=FALSE)
	{
	$search = array("Ä", "Ö", "Ü", "ä", "ö", "ü", "ß", "´");
	$replace = array("Ae", "Oe", "Ue", "ae", "oe", "ue", "ss", "");
	if($revers!==FALSE)
		{return str_replace($replace, $search, $string);}
	return str_replace($search, $replace, $string);
	}

function extract_keywords($string)
	{
$stopWords=array (
  0 => 'aber',
  1 => 'alle',
  2 => 'allen',
  3 => 'alles',
  4 => 'als',
  5 => 'also',
  6 => 'andere',
  7 => 'anderem',
  8 => 'anderer',
  9 => 'anderes',
  10 => 'anders',
  11 => 'auch',
  12 => 'auf',
  13 => 'aus',
  14 => 'ausser',
  15 => 'ausserdem',
  16 => 'bei',
  17 => 'beide',
  18 => 'beiden',
  19 => 'beides',
  20 => 'beim',
  21 => 'bereits',
  22 => 'bestehen',
  23 => 'besteht',
  24 => 'bevor',
  25 => 'bin',
  26 => 'bis',
  27 => 'bloss',
  28 => 'brauchen',
  29 => 'braucht',
  30 => 'dabei',
  31 => 'dadurch',
  32 => 'dagegen',
  33 => 'daher',
  34 => 'damit',
  35 => 'danach',
  36 => 'dann',
  37 => 'darf',
  38 => 'darueber',
  39 => 'darum',
  40 => 'darunter',
  41 => 'das',
  42 => 'dass',
  43 => 'davon',
  44 => 'dazu',
  45 => 'dem',
  46 => 'den',
  47 => 'denn',
  48 => 'der',
  49 => 'des',
  50 => 'deshalb',
  51 => 'dessen',
  52 => 'die',
  53 => 'dies',
  54 => 'diese',
  55 => 'diesem',
  56 => 'diesen',
  57 => 'dieser',
  58 => 'dieses',
  59 => 'doch',
  60 => 'dort',
  61 => 'duerfen',
  62 => 'durch',
  63 => 'durfte',
  64 => 'durften',
  65 => 'ebenfalls',
  66 => 'ebenso',
  67 => 'ein',
  68 => 'eine',
  69 => 'einem',
  70 => 'einen',
  71 => 'einer',
  72 => 'eines',
  73 => 'einige',
  74 => 'einiges',
  75 => 'einzig',
  76 => 'entweder',
  77 => 'erst',
  78 => 'erste',
  79 => 'ersten',
  80 => 'etwa',
  81 => 'etwas',
  82 => 'falls',
  83 => 'fast',
  84 => 'ferner',
  85 => 'folgender',
  86 => 'folglich',
  87 => 'fuer',
  88 => 'ganz',
  89 => 'geben',
  90 => 'gegen',
  91 => 'gehabt',
  92 => 'gekonnt',
  93 => 'gemaess',
  94 => 'getan',
  95 => 'gewesen',
  96 => 'gewollt',
  97 => 'geworden',
  98 => 'gibt',
  99 => 'habe',
  100 => 'haben',
  101 => 'haette',
  102 => 'haetten',
  103 => 'hallo',
  104 => 'hat',
  105 => 'hatte',
  106 => 'hatten',
  107 => 'heraus',
  108 => 'herein',
  109 => 'hier',
  110 => 'hin',
  111 => 'hinein',
  112 => 'hinter',
  113 => 'ich',
  114 => 'ihm',
  115 => 'ihn',
  116 => 'ihnen',
  117 => 'ihr',
  118 => 'ihre',
  119 => 'ihrem',
  120 => 'ihren',
  121 => 'ihres',
  122 => 'immer',
  123 => 'indem',
  124 => 'infolge',
  125 => 'innen',
  126 => 'innerhalb',
  127 => 'ins',
  128 => 'inzwischen',
  129 => 'irgend',
  130 => 'irgendwas',
  131 => 'irgendwen',
  132 => 'irgendwer',
  133 => 'irgendwie',
  134 => 'irgendwo',
  135 => 'ist',
  136 => 'jede',
  137 => 'jedem',
  138 => 'jeden',
  139 => 'jeder',
  140 => 'jedes',
  141 => 'jedoch',
  142 => 'jene',
  143 => 'jenem',
  144 => 'jenen',
  145 => 'jener',
  146 => 'jenes',
  147 => 'kann',
  148 => 'kein',
  149 => 'keine',
  150 => 'keinem',
  151 => 'keinen',
  152 => 'keiner',
  153 => 'keines',
  154 => 'koennen',
  155 => 'koennte',
  156 => 'koennten',
  157 => 'konnte',
  158 => 'konnten',
  159 => 'kuenftig',
  160 => 'leer',
  161 => 'machen',
  162 => 'macht',
  163 => 'machte',
  164 => 'machten',
  165 => 'man',
  166 => 'mehr',
  167 => 'mein',
  168 => 'meine',
  169 => 'meinen',
  170 => 'meinem',
  171 => 'meiner',
  172 => 'meist',
  173 => 'meiste',
  174 => 'meisten',
  175 => 'mich',
  176 => 'mit',
  177 => 'moechte',
  178 => 'moechten',
  179 => 'muessen',
  180 => 'muessten',
  181 => 'muss',
  182 => 'musste',
  183 => 'mussten',
  184 => 'nach',
  185 => 'nachdem',
  186 => 'nacher',
  187 => 'naemlich',
  188 => 'neben',
  189 => 'nein',
  190 => 'nicht',
  191 => 'nichts',
  192 => 'noch',
  193 => 'nuetzt',
  194 => 'nur',
  195 => 'nutzt',
  196 => 'obgleich',
  197 => 'obwohl',
  198 => 'oder',
  199 => 'ohne',
  200 => 'per',
  201 => 'pro',
  202 => 'rund',
  203 => 'schon',
  204 => 'sehr',
  205 => 'seid',
  206 => 'sein',
  207 => 'seine',
  208 => 'seinem',
  209 => 'seinen',
  210 => 'seiner',
  211 => 'seit',
  212 => 'seitdem',
  213 => 'seither',
  214 => 'selber',
  215 => 'sich',
  216 => 'sie',
  217 => 'siehe',
  218 => 'sind',
  219 => 'sobald',
  220 => 'solange',
  221 => 'solch',
  222 => 'solche',
  223 => 'solchem',
  224 => 'solchen',
  225 => 'solcher',
  226 => 'solches',
  227 => 'soll',
  228 => 'sollen',
  229 => 'sollte',
  230 => 'sollten',
  231 => 'somit',
  232 => 'sondern',
  233 => 'soweit',
  234 => 'sowie',
  235 => 'spaeter',
  236 => 'stets',
  237 => 'such',
  238 => 'ueber',
  239 => 'ums',
  240 => 'und',
  241 => 'uns',
  242 => 'unser',
  243 => 'unsere',
  244 => 'unserem',
  245 => 'unseren',
  246 => 'viel',
  247 => 'viele',
  248 => 'vollstaendig',
  249 => 'vom',
  250 => 'von',
  251 => 'vor',
  252 => 'vorbei',
  253 => 'vorher',
  254 => 'vorueber',
  255 => 'waehrend',
  256 => 'waere',
  257 => 'waeren',
  258 => 'wann',
  259 => 'war',
  260 => 'waren',
  261 => 'warum',
  262 => 'was',
  263 => 'wegen',
  264 => 'weil',
  265 => 'weiter',
  266 => 'weitere',
  267 => 'weiterem',
  268 => 'weiteren',
  269 => 'weiterer',
  270 => 'weiteres',
  271 => 'weiterhin',
  272 => 'welche',
  273 => 'welchem',
  274 => 'welchen',
  275 => 'welcher',
  276 => 'welches',
  277 => 'wem',
  278 => 'wen',
  279 => 'wenigstens',
  280 => 'wenn',
  281 => 'wenngleich',
  282 => 'wer',
  283 => 'werde',
  284 => 'werden',
  285 => 'weshalb',
  286 => 'wessen',
  287 => 'wie',
  288 => 'wieder',
  289 => 'will',
  290 => 'wir',
  291 => 'wird',
  292 => 'wodurch',
  293 => 'wohin',
  294 => 'wollen',
  295 => 'wollte',
  296 => 'wollten',
  297 => 'worin',
  298 => 'wuerde',
  299 => 'wuerden',
  300 => 'wurde',
  301 => 'wurden',
  302 => 'zufolge',
  303 => 'zum',
  304 => 'zusammen',
  305 => 'zur',
  306 => 'zwar',
  307 => 'zwischen',
'unter','neue','aids','aachen'
);	
	$string=html_entity_decode($string);
	$string = preg_replace('/(<\/[^>]+?>)(<[^>\/][^>]*?>)/', '$1 $2', $string);
	$string = strip_tags($string);
	$string = sonderzeichen($string);
	$string = preg_replace('/\s\s+/i', '', $string); // replace whitespace
	$string = trim($string); // trim the string
	$string = preg_replace('/[^a-zA-Z0-9 -]/', '', $string); // only take alphanumerical characters, but keep the spaces and dashes too…
	$string = strtolower($string); // make it lowercase
  	preg_match_all('/\b.*?\b/i', $string, $matchWords);
	$matchWords = $matchWords[0];
      	foreach ( $matchWords as $key=>$item )
		{
		if ( $item == '' || in_array(strtolower($item), $stopWords) || strlen($item) <= 3 )
			{
			unset($matchWords[$key]);
			}
		}   
	$wordCountArr = array();
	if ( is_array($matchWords) )
		{
		foreach ( $matchWords as $key => $val )
			{
			$val = strtolower($val);
		if ( isset($wordCountArr[$val]) )
			{
			$wordCountArr[$val]++;
			}
		else
			{
			$wordCountArr[$val] = 1;
			}
		}
	}
	arsort($wordCountArr);
	$wordCountArr = array_slice($wordCountArr, 0, 10);
	return $wordCountArr;
	}
?>
