-- ---------------------------------------------------------
--
-- SQL Dump for AW::Archiv
-- 
-- acid2542@gmail.com
--

--
-- ---------------------------------------------------------


SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";
/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


-- ---------------------------------------------------------
--
-- Table structure for table : `aw_accounts`
--
-- ---------------------------------------------------------
CREATE TABLE `aw_accounts` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_name` varchar(30) NOT NULL DEFAULT '',
  `user_mail` varchar(128) NOT NULL DEFAULT '',
  `user_pass` varchar(128) NOT NULL DEFAULT '',
  `user_salt` varchar(255) DEFAULT NULL,
  `user_level` enum('gast','user','admin','workshop','workview') NOT NULL DEFAULT 'gast',
  `user_session` varchar(32) DEFAULT NULL,
  `user_last_login` datetime DEFAULT NULL,
  `kontakt_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `NickName` (`user_name`)
) ENGINE=MyISAM AUTO_INCREMENT=31 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `aw_accounts`
--
INSERT INTO `aw_accounts` (`user_id`, `user_name`, `user_mail`, `user_pass`, `user_salt`, `user_level`, `user_session`, `user_last_login`, `kontakt_id`) VALUES
(1, 'acid', 'acid2542@gmail.com', 'fa02d0c5f625c27d9ad5885af63716c2', '$2y$10$CH8AcK2nTJcTTaFz6ls6uOcn3hm9Km8iBrMylkPX3jMHKy8JgV6y.', 'admin', 't8vu92qqt6gmjd21reqskvteb6', '0000-00-00 00:00:00', 17),
(24, 'admin', 'admin@admin.de', 'd46c1b39d65a86072c514344fe437423', '$2y$10$EOo.QqUO33JNIZNaO/sZWO7jiqGLFGyUX8LLtQXJKA1v.5InLPZNC', 'admin', '18o77f7uruhl9psaufa61tnhl5', '2017-11-03 22:36:06', 0),
(29, 'user', 'user@user.de', 'fad455bc5124d0c471e673b787987da9', '$2y$10$emOZN/b23EZ.sePQfezvF.H8v8vZSYoj0xyhQqRazHj5/tXI759rW', 'user', 'gkgsnmg0r1s990ul4h0idmdue2', '0000-00-00 00:00:00', 0),
(28, 'gast', 'gast@gast.de', '3a784b7edf09ad16a3e71221ae7a531e', '$2y$10$HZFU6uxhphSrr6Sm2jOZoOoRVRFQPUQWylQGvknZwazOUzn5cAhk.', 'gast', '', '0000-00-00 00:00:00', 0);



-- ---------------------------------------------------------
--
-- Table structure for table : `aw_archiv`
--
-- ---------------------------------------------------------
CREATE TABLE `aw_archiv` (
  `archiv_id` int(11) NOT NULL AUTO_INCREMENT,
  `main_id` int(11) NOT NULL,
  `rubrik_id` int(11) DEFAULT NULL,
  `titel` varchar(255) NOT NULL,
  `optional` enum('Ja','Nein') DEFAULT 'Nein',
  `datum` datetime DEFAULT NULL,
  `text` text,
  `adresse` varchar(255) DEFAULT NULL,
  `quelle` varchar(255) DEFAULT NULL,
  `ablage` varchar(255) NOT NULL,
  `tags` varchar(255) DEFAULT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `user_id` int(11) NOT NULL,
  `public` enum('Ja','Nein') NOT NULL DEFAULT 'Ja',
  PRIMARY KEY (`archiv_id`),
  KEY `main_id` (`main_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



-- ---------------------------------------------------------
--
-- Table structure for table : `aw_archiv_files`
--
-- ---------------------------------------------------------
CREATE TABLE `aw_archiv_files` (
  `archiv_file_id` int(11) NOT NULL AUTO_INCREMENT,
  `archiv_id` int(11) NOT NULL,
  `file_id` int(11) NOT NULL,
  PRIMARY KEY (`archiv_file_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;



-- ---------------------------------------------------------
--
-- Table structure for table : `aw_files`
--
-- ---------------------------------------------------------
CREATE TABLE `aw_files` (
  `file_id` int(11) NOT NULL AUTO_INCREMENT,
  `file_name` varchar(255) NOT NULL,
  `file_orig_name` varchar(255) NOT NULL,
  PRIMARY KEY (`file_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;



-- ---------------------------------------------------------
--
-- Table structure for table : `aw_menu`
--
-- ---------------------------------------------------------
CREATE TABLE `aw_menu` (
  `main_id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `root_id` int(11) NOT NULL,
  `main_name` char(255) NOT NULL DEFAULT 'Menu',
  `pos` int(11) NOT NULL DEFAULT '1',
  `visible` enum('1','0') NOT NULL DEFAULT '1',
  `source` varchar(255) DEFAULT NULL,
  `script` varchar(255) DEFAULT NULL,
  `template` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`main_id`),
  KEY `parent` (`parent_id`),
  KEY `root` (`root_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `aw_menu`
--
INSERT INTO `aw_menu` (`main_id`, `parent_id`, `root_id`, `main_name`, `pos`, `visible`, `source`, `script`, `template`) VALUES
(1, 0, 1, 'Suche', 0, 1, '', 'suche.php', 'suche.tpl.html'),
(2, 0, 2, 'Bücher', 1, 1, '', 'archiv.php', 'main.tpl.html'),
(3, 0, 3, 'Fotos', 2, 1, '', 'archiv.php', 'main.tpl.html'),
(4, 0, 4, 'Vereine', 3, '', '', 'archiv.php', 'main.tpl.html'),
(5, 0, 5, 'Archivarien', 4, '', '', 'archiv.php', 'main.tpl.html'),
(6, 0, 6, 'Karten', 5, '', '', 'archiv.php', 'main.tpl.html'),
(7, 0, 7, 'Gebäude', 6, '', '', 'archiv.php', 'main.tpl.html'),
(8, 0, 8, 'Musik', 7, '', '', 'archiv.php', 'main.tpl.html'),
(9, 0, 9, 'Film', 8, '', '', 'archiv.php', 'main.tpl.html'),
(10, 0, 10, 'Kirche', 9, '', '', 'archiv.php', 'main.tpl.html');



-- ---------------------------------------------------------
--
-- Table structure for table : `aw_meta`
--
-- ---------------------------------------------------------
CREATE TABLE `aw_meta` (
  `main_id` int(11) NOT NULL AUTO_INCREMENT,
  `author` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `keywords` varchar(255) NOT NULL,
  `image` varchar(255) NOT NULL,
  PRIMARY KEY (`main_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `aw_meta`
--
INSERT INTO `aw_meta` (`main_id`, `author`, `description`, `keywords`, `image`) VALUES
(1, 'Lars Kirches', 'Such Funktion des Archivs', 'suche, archiv', ''),
(2, 'Lars Kirches', 'Bücher', 'Buch, Bücher, Texte', 'Bücher.png'),
(3, 'Lars Kirches', 'Fotos und Alben', 'Fotos,Pictures, Alben', 'Fotos.png'),
(4, 'Lars Kirches', '', '', 'Vereine.png'),
(5, 'Lars Kirches', '', '', ''),
(6, 'Lars Kirches', '', '', 'design/Karten.png'),
(7, 'Lars Kirches', '', '', 'Gebäude.png'),
(8, 'Lars Kirches', '', '', 'Musik.png'),
(9, 'Lars Kirches', '', '', 'Film.png'),
(10, 'Lars Kirches', '', '', 'Kirche.png');



-- ---------------------------------------------------------
--
-- Table structure for table : `aw_rubrik`
--
-- ---------------------------------------------------------
CREATE TABLE `aw_rubrik` (
  `rubrik_id` int(11) NOT NULL AUTO_INCREMENT,
  `main_id` int(11) NOT NULL,
  `rubrik_name` varchar(255) NOT NULL,
  PRIMARY KEY (`rubrik_id`),
  KEY `main_id` (`main_id`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `aw_rubrik`
--
INSERT INTO `aw_rubrik` (`rubrik_id`, `main_id`, `rubrik_name`) VALUES
(1, 2, 'Heimatgeschichte'),
(2, 2, 'Kriegsjahre'),
(3, 2, 'Kirchen'),
(4, 2, 'Chronik'),
(5, 2, 'Bildband'),
(6, 2, 'Architektur'),
(7, 2, 'Kirchengeschichte'),
(8, 2, 'Bergbau'),
(9, 2, 'Festschrift'),
(10, 2, 'Mundart'),
(11, 2, 'Familiengeschichte'),
(12, 2, 'Gedichte'),
(13, 2, 'Baugeschichte'),
(14, 2, 'Klöster'),
(15, 2, 'Stadtführer'),
(16, 2, 'Kunst'),
(17, 2, 'Wanderführer'),
(18, 2, 'Geschichte'),
(19, 2, 'Wörterbuch'),
(20, 2, 'Familienchronik'),
(21, 2, 'Register'),
(22, 2, 'Sachbuch'),
(23, 2, 'Märchen'),
(24, 2, 'Roman'),
(25, 2, 'Mühlen'),
(26, 2, 'Anekdoten'),
(27, 2, 'Unterhaltung'),
(28, 2, 'Erzählung'),
(29, 2, 'Schrift- und Bildband'),
(30, 2, 'Nachkriegsjahre'),
(31, 2, 'Musik'),
(32, 2, 'Heiligtumsfahrt'),
(33, 2, 'Religion'),
(34, 2, 'Gebäude'),
(35, 2, 'Braunkohle'),
(36, 2, 'Fachbuch'),
(37, 2, 'Reiseführer'),
(38, 2, 'Festbuch'),
(39, 2, 'Steinkohle'),
(40, 2, 'Rathaus, Kaiserpfalz'),
(41, 2, 'Nonne'),
(42, 2, 'Dom'),
(43, 2, 'Mundartdichtung'),
(44, 2, 'Politik'),
(45, 2, 'Führer'),
(46, 2, 'Jahresschrift'),
(47, 2, 'Karl der Große'),
(48, 2, 'Gärten'),
(49, 2, 'Aachener'),
(50, 2, 'Münzen'),
(52, 2, 'Kochbuch');



-- ---------------------------------------------------------
--
-- Table structure for table : `aw_settings`
--
-- ---------------------------------------------------------
CREATE TABLE `aw_settings` (
  `main_id` int(11) NOT NULL,
  `fields` text NOT NULL,
  `rows` int(11) NOT NULL DEFAULT '10',
  `safe_copy` enum('0','1') NOT NULL DEFAULT '1',
  PRIMARY KEY (`main_id`),
  UNIQUE KEY `main_id` (`main_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `aw_settings`
--
INSERT INTO `aw_settings` (`main_id`, `fields`, `rows`, `safe_copy`) VALUES
(1, 'a:6:{s:6:"ablage";s:6:"Ablage";s:6:"quelle";s:6:"Quelle";s:9:"rubrik_id";s:6:"Rubrik";s:4:"tags";s:10:"Stichworte";s:4:"text";s:4:"Text";s:5:"titel";s:5:"Titel";}', 10, 0),
(2, 'a:8:{s:6:"ablage";s:6:"Ablage";s:4:"file";s:9:"Dateie(n)";s:6:"public";s:6:"Publik";s:6:"quelle";s:5:"Autor";s:9:"rubrik_id";s:6:"Rubrik";s:4:"tags";s:10:"Stichworte";s:4:"text";s:14:"Inhaltsangabe ";s:5:"titel";s:5:"Titel";}', 100, 1),
(3, 'a:10:{s:6:"ablage";s:6:"Ablage";s:5:"datum";s:5:"Datum";s:4:"file";s:8:"Bild(er)";s:8:"optional";s:7:"Negativ";s:6:"public";s:6:"Publik";s:6:"quelle";s:9:"Copyright";s:9:"rubrik_id";s:9:"Kategorie";s:4:"tags";s:10:"Stichworte";s:4:"text";s:8:"Freitext";s:5:"titel";s:5:"Titel";}', 10, ''),
(4, 'a:6:{s:6:"ablage";s:6:"Ablage";s:5:"datum";s:5:"Datum";s:4:"file";s:5:"Datei";s:9:"rubrik_id";s:6:"Rubrik";s:4:"text";s:12:"Beschreibung";s:5:"titel";s:4:"Name";}', 10, 0),
(5, 'a:6:{s:6:"ablage";s:6:"Ablage";s:5:"datum";s:5:"Datum";s:4:"file";s:7:"Dateien";s:6:"quelle";s:6:"Quelle";s:4:"text";s:8:"Freitext";s:5:"titel";s:5:"Titel";}', 10, 0),
(6, 'a:7:{s:6:"ablage";s:6:"Ablage";s:7:"adresse";s:10:"Zusatztext";s:5:"datum";s:5:"Datum";s:4:"file";s:9:"Scankarte";s:9:"rubrik_id";s:6:"Rubrik";s:4:"text";s:10:"Kartentext";s:5:"titel";s:5:"Titel";}', 10, 0),
(7, 'a:6:{s:6:"ablage";s:6:"Ablage";s:7:"adresse";s:7:"Adresse";s:5:"datum";s:5:"Datum";s:4:"file";s:4:"Foto";s:4:"text";s:12:"Beschreibung";s:5:"titel";s:5:"Titel";}', 10, 0),
(8, 'a:6:{s:6:"ablage";s:6:"Ablage";s:5:"datum";s:5:"Datum";s:4:"file";s:5:"Datei";s:6:"quelle";s:6:"Author";s:4:"text";s:4:"Text";s:5:"titel";s:5:"Titel";}', 10, 0),
(9, 'a:6:{s:6:"ablage";s:6:"Ablage";s:5:"datum";s:5:"Datum";s:4:"file";s:7:"Dateien";s:6:"quelle";s:6:"Author";s:4:"text";s:4:"Text";s:5:"titel";s:5:"Titel";}', 10, 0),
(10, 'a:7:{s:6:"ablage";s:6:"Ablage";s:5:"datum";s:5:"Datum";s:4:"file";s:4:"Foto";s:6:"quelle";s:6:"Quelle";s:9:"rubrik_id";s:9:"Kategorie";s:4:"text";s:4:"Text";s:5:"titel";s:5:"Titel";}', 10, 0),
(11, 'a:7:{s:6:"ablage";s:6:"Ablage";s:5:"datum";s:9:"Toendatum";s:4:"file";s:4:"file";s:6:"quelle";s:6:"Source";s:9:"rubrik_id";s:9:"Kategorie";s:4:"text";s:10:"Kartentext";s:5:"titel";s:5:"Titel";}', 10, 0),
(12, 'a:2:{s:6:"ablage";s:6:"ablage";s:5:"titel";s:5:"titel";}', 100, 0),
(13, 'a:4:{s:5:"datum";s:5:"datum";s:4:"file";s:4:"file";s:4:"text";s:4:"text";s:5:"titel";s:5:"titel";}', 10, 0),
(14, 'a:3:{s:4:"file";s:4:"file";s:4:"text";s:4:"text";s:5:"titel";s:5:"titel";}', 10, 0),
(15, 'a:3:{s:4:"file";s:4:"file";s:4:"text";s:4:"text";s:5:"titel";s:5:"titel";}', 10, 0);


/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;